Subject: [alpine-devel] Re: Adding Local Abuild Package to Cache

From: Carl Chave <[email-masked]>
Date: Sun, 17 Mar 2019 21:26:54 -0400

On Sun, Mar 17, 2019 at 2:31 PM Carl Chave <[email-masked]> wrote:

>
> On Sun, Mar 17, 2019 at 10:52 AM Carl Chave <[email-masked]> wrote:
>
>> Hello,
>>
>> I followed the wiki to abuild a package that was not in any of the repos,
>> which resulted in a main package, and -openrc and -doc packages.  I added
>> the ~/packages/testing repo to /etc/apk/repositories and I can apk add the
>> packages and pull in dependencies successfully like a package in the
>> official repos.
>>
>> I've tested that the application works and that the /etc/init.d scripts
>> will start and stop the service also.  The application name is added to
>> /etc/apk/world but the packages are not added to the local cache and not
>> automatically loaded on reboot.  I have to add them manually again.  If I
>> manually copy the packages to cache and reboot, they still don't load and
>> when I run an apk cache clean they get removed from the cache.
>>
>> I suspect this has something to do with signing and trust perhaps, though
>> the abuild -r process signed the APKINDEX file in the local package repo
>> and I added my public key to /etc/apk/keys.
>>
>> Please let me know what I'm missing!  Thanks,
>> Carl
>>
>
> I should add that this is the 3.9.2 armv7 image on the Raspberry Pi 3 B+
> and I'm doing an lbu commit -d prior to rebooting.
>

Disregard I guess?  I deleted the package from /etc/apk/world, deleted the
local repo from /etc/apk/repositories and then ran apk cache clean.  I then
cd'd into the local packages directory and installed with apk add
--allow-untrusted and they were added to the cache and were installed on
reboot.

---

From: Stuart Cardall <[email-masked]>
Date: Mon, 18 Mar 2019 10:56:12 +0000

You can also add your public key from /etc/apk/keys in your dev 
environment to /etc/apk/keys on the remote host so your custom packages 
are trusted.

Stuart.

On 18/03/2019 01:26, Carl Chave wrote:
>
> On Sun, Mar 17, 2019 at 2:31 PM Carl Chave <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>
>     On Sun, Mar 17, 2019 at 10:52 AM Carl Chave <[email-masked]
>     <mailto:[email-masked]>> wrote:
>
>         Hello,
>
>         I followed the wiki to abuild a package that was not in any of
>         the repos, which resulted in a main package, and -openrc and
>         -doc packages.  I added the ~/packages/testing repo to
>         /etc/apk/repositories and I can apk add the packages and pull
>         in dependencies successfully like a package in the official repos.
>
>         I've tested that the application works and that the
>         /etc/init.d scripts will start and stop the service also.  The
>         application name is added to /etc/apk/world but the packages
>         are not added to the local cache and not automatically loaded
>         on reboot.  I have to add them manually again.  If I manually
>         copy the packages to cache and reboot, they still don't load
>         and when I run an apk cache clean they get removed from the cache.
>
>         I suspect this has something to do with signing and trust
>         perhaps, though the abuild -r process signed the APKINDEX file
>         in the local package repo and I added my public key to
>         /etc/apk/keys.
>
>     I should add that this is the 3.9.2 armv7 image on the Raspberry
>     Pi 3 B+ and I'm doing an lbu commit -d prior to rebooting.
>
>
> Disregard I guess?  I deleted the package from /etc/apk/world, deleted 
> the local repo from /etc/apk/repositories and then ran apk cache 
> clean.  I then cd'd into the local packages directory and installed 
> with apk add --allow-untrusted and they were added to the cache and 
> were installed on reboot.

---

From: Carl Chave <[email-masked]>
Date: Mon, 18 Mar 2019 07:25:57 -0400

> You can also add your public key from /etc/apk/keys in your dev environment to /etc/apk/keys on the remote host so your custom packages are trusted.
>
> Stuart.
>
>
Thanks Stuart, yes, I had the dev public key in /etc/apk/keys on the
same host as the abuild environment - I only have one raspberry pi 3
B+, my other pi's are armhf.  To perhaps muddy the water a bit more,
the pi 3 I used as the dev host was already loaded with 3.8.2 armhf
and I had /home on a separate ext4 partition.  I setup the abuild
environment, built the packages, and tried to test but ran into the
cache issue I described above.  As part of the troubleshooting I
decided to wipe the OS partition and load 3.9.2 which is when I
discovered that support for the pi 3 B+ has apparently been dropped
from the armhf build and so I moved to the armv7 build but still
mounted old /home directory with the existing aports and packages
directories.

I did various other things after that, cleaned out keys and previously
built packages and generated new keys and rebuilt the packages,
removed the old pubic key from /etc/apk/keys and put the new key in -
I think at the end I had a correct armv7 abuild environment but I had
the same problem trying to get the packages to stick on reboot when
installing from the local repo.  Since I still had the previously
built armv6 packages, I scp'd those over to a raspberry pi zero w and
installed with --allow-untrusted and that worked, I guess it was late
in the day but I didn't think to add the pi 3's repo to the pi zero
and install that way rather than scp'ing and installing as local
untrusted packages.  I will try that just as another data point.

Carl

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---